Bug 1723892 - CCO repeatedly OOMKilled in cluster with 2350 projects
Summary: CCO repeatedly OOMKilled in cluster with 2350 projects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.z
Assignee: Devan Goodwin
QA Contact: Mike Fiedler
URL:
Whiteboard: aos-scalability-41
Depends On: 1711402
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-25 16:00 UTC by Devan Goodwin
Modified: 2019-07-04 09:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1711402
Environment:
Last Closed: 2019-07-04 09:01:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1635 None None None 2019-07-04 09:01:50 UTC

Comment 4 Mike Fiedler 2019-06-26 17:06:44 UTC
Verified with

NAME               VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
cloud-credential   4.1.0-0.nightly-2019-06-26-044128   True        False         False      57m

1) Verified by inspection that the cloud-credential-operator deployment had no limits
2) Created 1500 projects with 50 secrets each and drove the operators memory usage over 600MB - no OOMKills or pod restarts

Comment 6 errata-xmlrpc 2019-07-04 09:01:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1635


Note You need to log in before you can comment on or make changes to this bug.